
import gym
from stable_baselines3 import PPO
from stock_trading_env import StockTradingEnv
import pandas as pd

# Load historical data
df = pd.read_csv('/mnt/data/historical_stock_data.csv')  # Example CSV file containing historical stock data

# Create the environment
env = StockTradingEnv(df)

# Create the model
model = PPO('MlpPolicy', env, verbose=1)

# Train the model
model.learn(total_timesteps=10000)

# Save the model
model.save("ppo_stock_trading")

# Load the model
model = PPO.load("ppo_stock_trading")

# Test the model
obs = env.reset()
for i in range(1000):
    action, _states = model.predict(obs)
    obs, rewards, done, info = env.step(action)
    if done:
        obs = env.reset()
